Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UIPickList.Properties

    java.lang.Object
      java.lang.Enum<UIPickList.Properties>
          org.richfaces.component.UIPickList.Properties

All Implemented Interfaces:
  Serializable, Comparable<UIPickList.Properties>

Enclosing class:
  UIPickList

    protected static enum UIPickList.Properties

extends Enum<UIPickList.Properties>

Enum Constant Summary
`activeClass`
`addAllText`
`addText`
`changedClass`
`collectionType`
`columnClasses`
`disabled`
`disabledClass`
`downBottomText`
`downText`
`headerClass`
`itemClass`
`listHeight`
`listWidth`
`maxListHeight`
`minListHeight`
`onadditems`
`onblur`
`onchange`
`onclick`
`ondblclick`
`onfocus`
`onkeydown`
`onkeypress`
`onkeyup`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`onremoveitems`
`onsourceblur`
`onsourceclick`
`onsourcedblclick`
`onsourcefocus`
`onsourcekeydown`
`onsourcekeypress`
`onsourcekeyup`
`onsourcemousedown`
`onsourcemousemove`
`onsourcemouseout`
`onsourcemouseover`
`onsourcemouseup`
`ontargetblur`
`ontargetclick`
`ontargetdblclick`
`ontargetfocus`
`ontargetkeydown`
`ontargetkeypress`
`ontargetkeyup`
`ontargetmousedown`
`ontargetmousemove`
`ontargetmouseout`
`ontargetmouseover`
`ontargetmouseup`
`orderable`
`removeAllText`
`removeText`
`selectItemClass`
`showButton`
`sourceCaption`
`style`
`styleClass`
`switchByClick`
`switchByDblClick`
`targetCaption`
`upText`
`upTopText`
`var`

Method Summary
`static UIPickList.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UIPickList.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### activeClass

    public static final UIPickList.Properties activeClass

### addAllText

    public static final UIPickList.Properties addAllText

### addText

    public static final UIPickList.Properties addText

### changedClass

    public static final UIPickList.Properties changedClass

### collectionType

    public static final UIPickList.Properties collectionType

### columnClasses

    public static final UIPickList.Properties columnClasses

### disabled

    public static final UIPickList.Properties disabled

### disabledClass

    public static final UIPickList.Properties disabledClass

### downBottomText

    public static final UIPickList.Properties downBottomText

### downText

    public static final UIPickList.Properties downText

### headerClass

    public static final UIPickList.Properties headerClass

### itemClass

    public static final UIPickList.Properties itemClass

### listHeight

    public static final UIPickList.Properties listHeight

### listWidth

    public static final UIPickList.Properties listWidth

### maxListHeight

    public static final UIPickList.Properties maxListHeight

### minListHeight

    public static final UIPickList.Properties minListHeight

### onadditems

    public static final UIPickList.Properties onadditems

### onblur

    public static final UIPickList.Properties onblur

### onchange

    public static final UIPickList.Properties onchange

### onclick

    public static final UIPickList.Properties onclick

### ondblclick

    public static final UIPickList.Properties ondblclick

### onfocus

    public static final UIPickList.Properties onfocus

### onkeydown

    public static final UIPickList.Properties onkeydown

### onkeypress

    public static final UIPickList.Properties onkeypress

### onkeyup

    public static final UIPickList.Properties onkeyup

### onmousedown

    public static final UIPickList.Properties onmousedown

### onmousemove

    public static final UIPickList.Properties onmousemove

### onmouseout

    public static final UIPickList.Properties onmouseout

### onmouseover

    public static final UIPickList.Properties onmouseover

### onmouseup

    public static final UIPickList.Properties onmouseup

### onremoveitems

    public static final UIPickList.Properties onremoveitems

### onsourceblur

    public static final UIPickList.Properties onsourceblur

### onsourceclick

    public static final UIPickList.Properties onsourceclick

### onsourcedblclick

    public static final UIPickList.Properties onsourcedblclick

### onsourcefocus

    public static final UIPickList.Properties onsourcefocus

### onsourcekeydown

    public static final UIPickList.Properties onsourcekeydown

### onsourcekeypress

    public static final UIPickList.Properties onsourcekeypress

### onsourcekeyup

    public static final UIPickList.Properties onsourcekeyup

### onsourcemousedown

    public static final UIPickList.Properties onsourcemousedown

### onsourcemousemove

    public static final UIPickList.Properties onsourcemousemove

### onsourcemouseout

    public static final UIPickList.Properties onsourcemouseout

### onsourcemouseover

    public static final UIPickList.Properties onsourcemouseover

### onsourcemouseup

    public static final UIPickList.Properties onsourcemouseup

### ontargetblur

    public static final UIPickList.Properties ontargetblur

### ontargetclick

    public static final UIPickList.Properties ontargetclick

### ontargetdblclick

    public static final UIPickList.Properties ontargetdblclick

### ontargetfocus

    public static final UIPickList.Properties ontargetfocus

### ontargetkeydown

    public static final UIPickList.Properties ontargetkeydown

### ontargetkeypress

    public static final UIPickList.Properties ontargetkeypress

### ontargetkeyup

    public static final UIPickList.Properties ontargetkeyup

### ontargetmousedown

    public static final UIPickList.Properties ontargetmousedown

### ontargetmousemove

    public static final UIPickList.Properties ontargetmousemove

### ontargetmouseout

    public static final UIPickList.Properties ontargetmouseout

### ontargetmouseover

    public static final UIPickList.Properties ontargetmouseover

### ontargetmouseup

    public static final UIPickList.Properties ontargetmouseup

### orderable

    public static final UIPickList.Properties orderable

### removeAllText

    public static final UIPickList.Properties removeAllText

### removeText

    public static final UIPickList.Properties removeText

### selectItemClass

    public static final UIPickList.Properties selectItemClass

### showButton

    public static final UIPickList.Properties showButton

### sourceCaption

    public static final UIPickList.Properties sourceCaption

### style

    public static final UIPickList.Properties style

### styleClass

    public static final UIPickList.Properties styleClass

### switchByClick

    public static final UIPickList.Properties switchByClick

### switchByDblClick

    public static final UIPickList.Properties switchByDblClick

### targetCaption

    public static final UIPickList.Properties targetCaption

### upText

    public static final UIPickList.Properties upText

### upTopText

    public static final UIPickList.Properties upTopText

### var

    public static final UIPickList.Properties var

Method Detail

### values

    public static UIPickList.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UIPickList.Properties c : UIPickList.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UIPickList.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.